From: Dimitri John Ledkov <xnox@ubuntu.com>
Date: Mon, 4 Apr 2022 17:18:50 +0200
Subject: Strip test binaries by default

Bug: https://jira.mongodb.org/browse/SERVER-34079
Bug-Ubuntu: https://launchpad.net/bugs/1763119
Forwarded: no
Last-Update: 2022-04-04

This is needed to reduce build size to within Launchpad's limit.
---
 site_scons/site_tools/mongo_unittest.py | 7 +++++++
 1 file changed, 7 insertions(+)

diff --git a/site_scons/site_tools/mongo_unittest.py b/site_scons/site_tools/mongo_unittest.py
index eea33cd..33af34e 100644
--- a/site_scons/site_tools/mongo_unittest.py
+++ b/site_scons/site_tools/mongo_unittest.py
@@ -54,6 +54,13 @@ def build_cpp_unit_test(env, target, source, **kwargs):
         insort_wrapper(libdeps, "$BUILD_DIR/mongo/unittest/unittest_main")
         kwargs["LIBDEPS"] = libdeps
 
+    linkflags = []
+    linkflags.extend(env.get('LINKFLAGS', []))
+    linkflags.extend(kwargs.get('LINKFLAGS', []))
+    linkflags.append('-Wl,--strip-debug')
+
+    kwargs['LINKFLAGS'] = linkflags
+
     unit_test_components = {"tests", "unittests"}
     primary_component = kwargs.get("AIB_COMPONENT", env.get("AIB_COMPONENT", ""))
     if primary_component and not primary_component.endswith("-test"):
